//
// Created by robin on 6/19/16.
//

#ifndef MIFARE_TOOLS_FREEFAREDEVICE_H
#define MIFARE_TOOLS_FREEFAREDEVICE_H


#include <freefare.h>
#include "NfcDeviceInternal.h"
#include "FreeFareTagInternal.h"

namespace LibNfc
{
namespace FreeFare
{

class FreeFareDeviceInternal
{
public:
    FreeFareDeviceInternal(std::shared_ptr<LibNfc::Core::NfcDeviceInternal> device);

    LibNfc::Utils::Result<std::vector<std::shared_ptr<FreeFareTagInternal>>> getTags();

private:
    std::shared_ptr<LibNfc::Core::NfcDeviceInternal> _device;
};

}; // FreeFare
}; // LibNfc

#endif //MIFARE_TOOLS_FREEFAREDEVICE_H
