//
// Created by robin on 7/22/16.
//

#ifndef MIFARE_TOOLS_FREEFAREDEVICEBUSINESS_H
#define MIFARE_TOOLS_FREEFAREDEVICEBUSINESS_H

#include "NfcDevice.h"
#include "FreeFareTag.h"

namespace LibNfc
{
namespace FreeFare
{

class FreeFareDeviceInternal;

class FreeFareDevice
{
public:
    FreeFareDevice(std::shared_ptr<LibNfc::Core::NfcDevice> device);

    LibNfc::Utils::Result<std::vector<std::shared_ptr<FreeFareTag>>> getTags() const;

protected:
    std::shared_ptr<LibNfc::Core::NfcDevice> _device;

    std::shared_ptr<FreeFareDeviceInternal> _freeFareDevice;
};

}; // FreeFare
}; // LibNfc

#endif //MIFARE_TOOLS_FREEFAREDEVICEBUSINESS_H
